Ticket #1162 (closed task: fixed)

Opened 4 months ago

Last modified 4 months ago

XML Report Bugs

Reported by: kb0iic Owned by: clfs-commits@…
Priority: major Milestone: CLFS Standard 3.1.0
Component: BOOK Version: CLFS Standard GIT
Keywords: Cc: berzerkula@…, jonathan@…, chris@…, cross-lfs@…

Description

Michio Matsuyama reported bugs at the CLFS-Dev mailing list regarding our XML.

Hi,

I report the miscoding or typo bugs, maybe, on the XML sources of CLFS book as follows:

Bug #1:

Sortas values should not be like "a-...",  but like "b-...".

final-system/sparc/elftoaout.xml final-system/sparc/silo.xml

Bug #2:

Misplace the title: "The meaning of the new configure option:".

final-system/common/shadow.xml final-system/multilib/shadow.xml

Bug #3: (only for 'sysvinit')

Group for D-bus, not User.

Bug #4: (only for 'systemd')

Wrong xref linkend for man-pages in the Attr package section.

#1: final-system/sparc/elftoaout.xml (Branch 'systemd', other branches)
==============================================================================
diff -Naur orig/final-system/sparc/elftoaout.xml new/final-system/sparc/elftoaout.xml
--- orig/final-system/sparc/elftoaout.xml    2017-03-12 22:10:29.885087000 +0900
+++ new/final-system/sparc/elftoaout.xml    2017-05-18 13:43:22.681986281 +0900
@@ -61,7 +61,7 @@
           <para>Converts an ELF-formatted file to Sparc a.out format for use
           with openprom</para>
           <indexterm zone="ch-system-elftoaout elftoaout">
-            <primary sortas="a-elftoaout">elftoaout</primary>
+            <primary sortas="b-elftoaout">elftoaout</primary>
           </indexterm>
         </listitem>
       </varlistentry>

#1: final-system/sparc/silo.xml (Branch 'systemd', other branches)
==============================================================================
diff -Naur orig/final-system/sparc/silo.xml new/final-system/sparc/silo.xml
--- orig/final-system/sparc/silo.xml    2017-03-12 22:10:29.885087000 +0900
+++ new/final-system/sparc/silo.xml    2017-05-18 13:43:36.251600416 +0900
@@ -60,7 +60,7 @@
           <para>Silo bootloader installer. This program installs the
           first stage into the bootblock.</para>
           <indexterm zone="ch-system-silo silo">
-            <primary sortas="a-silo">silo</primary>
+            <primary sortas="b-silo">silo</primary>
           </indexterm>
         </listitem>
       </varlistentry>
@@ -71,7 +71,7 @@
           <para>Checks to see whether a file is readable
            by silo (very handy if you have larger disks).</para>
           <indexterm zone="ch-system-silo silocheck">
-            <primary sortas="a-silocheck">silocheck</primary>
+            <primary sortas="b-silocheck">silocheck</primary>
           </indexterm>
         </listitem>
       </varlistentry>
@@ -82,7 +82,7 @@
           <para>Is a file that is called by the tilo command to build
           a TFTP boot image.</para>
           <indexterm zone="ch-system-silo maketilo">
-            <primary sortas="a-maketilo">maketilo</primary>
+            <primary sortas="b-maketilo">maketilo</primary>
           </indexterm>
         </listitem>
       </varlistentry>
@@ -94,7 +94,7 @@
            embodies several kernel images for different Sun architectures and
            a ramdisk root image.</para>
           <indexterm zone="ch-system-silo tilo">
-            <primary sortas="a-tilo">tilo</primary>
+            <primary sortas="b-tilo">tilo</primary>
           </indexterm>
         </listitem>
       </varlistentry>

#2: final-system/common/shadow.xml (Branch 'systemd', other branches)
==============================================================================
diff -Naur orig/final-system/common/shadow.xml new/final-system/common/shadow.xml
--- orig/final-system/common/shadow.xml    2017-05-18 13:42:03.653069600 +0900
+++ new/final-system/common/shadow.xml    2017-05-18 13:53:11.289464787 +0900
@@ -53,9 +53,9 @@
 <screen os="e"><userinput>./configure \
     --sysconfdir=/etc</userinput></screen>
 
-<para os="f">The meaning of the new configure option:</para>
-
   <variablelist os="g">
+    <title>The meaning of the new configure option:</title>
+
     <varlistentry>
       <term><parameter>--sysconfdir=/etc</parameter></term>
       <listitem><para>Tells Shadow to install its configuration files into

#2: final-system/multilib/shadow.xml (Branch 'systemd', other branches)
==============================================================================
diff -Naur orig/final-system/multilib/shadow.xml new/final-system/multilib/shadow.xml
--- orig/final-system/multilib/shadow.xml    2017-05-18 13:42:03.837069600 +0900
+++ new/final-system/multilib/shadow.xml    2017-05-18 13:55:27.443958980 +0900
@@ -42,10 +42,6 @@
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
     href="../common/shadow.xml"
-    xpointer="xpointer(//*[@os='f'])"/>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="../common/shadow.xml"
     xpointer="xpointer(//*[@os='g'])"/>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"

#3: boot/common/pwdgroup.xml (Branch 'sysvinit')
==============================================================================
diff -Naur orig/boot/common/pwdgroup.xml new/boot/common/pwdgroup.xml
--- orig/boot/common/pwdgroup.xml    2017-05-19 17:55:02.884672900 +0900
+++ new/boot/common/pwdgroup.xml    2017-05-19 17:55:50.461582103 +0900
@@ -147,7 +147,7 @@
     <varlistentry>
       <term><literal>messagebus:x:&gid-messagebus;:</literal></term>
       <listitem>
-        <para>User for D-Bus</para>
+        <para>Group for D-Bus</para>
       </listitem>
     </varlistentry>
     <varlistentry>

#4: final-system/common/attr.xml (Branch 'systemd')
==============================================================================
diff -Naur orig/final-system/common/attr.xml new/final-system/common/attr.xml
--- orig/final-system/common/attr.xml    2017-05-19 18:15:37.763743800 +0900
+++ new/final-system/common/attr.xml    2017-05-19 18:17:15.843362151 +0900
@@ -26,7 +26,7 @@
     <title>Installation of Attr</title>
 
     <para os="s1">Apply a sed which prevents man-pages which were installed by
-    the <xref linkend="man-pages"/> package:</para>
+    the <xref linkend="ch-system-man-pages"/> package:</para>
 
 <screen os="s2"><userinput>sed -i -e "/SUBDIRS/s|man[25]||g" man/Makefile</userinput></screen>

Regards, matsu

Change History

comment:1 Changed 4 months ago by kb0iic

Bug1: verified for elftoaout and silo for systemd/sysvinit.

Bug2: verified do not need separate paragraph before variablelist. Include title within variablelist.

remove <para os="f"></para> and include title in variablelist. Reletter os="" as required. Fix for common/mulitlib for systemd/sysvinit.

Bug3: Perhaps change the description from User for D-Bus to

Used by the D-BUS systemwide message bus

Bug4: verified change linkend="man-pages" to linkend="ch-system-man-pages"

comment:2 Changed 4 months ago by kb0iic

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.